@import 'libs/shared/assets/src/global-style/variable';

nz-card {
  margin-top: 1em;
  border-radius: 10px;

  h3 {
    font-weight: 700;
    padding-bottom: 2em;
  }

  .addRow {
    text-align: center;
    font-size: 15px;
    padding: 10px;
    cursor: pointer;

    a {
      color: $active-color;
      font-family: avertaB, sans-serif;
    }
  }

  em {
    font-size: 18px;
    margin-left: 2px;
    cursor: pointer;
  }

  .icons_HRDV {
    font-size: 15px;
      margin-left: 15px;
      cursor: pointer;
  }
}

.rotationList {
  &__action {
    width: 90px;
  }
  .ant-table-cell {
    padding: 8px;
  }
  .matAction {
    margin-left: 15px;
  }
  .calendar {
    font-size: 15px;
    margin-left: 0;
  }
  .joindate {
    margin-left: 10px;
  }
}

.reportCard {
  &__externalApproval {
    margin-bottom: 1%;
  }

  &__uploadBtn {
    margin-top: 1%;
    height: 42px;
    margin-left: 0px;
    border-radius: 8px;
  }
}

.star {
  color: $red-color;
}

.ideaAppove {
  margin-top: 6px;
  border-radius: 8px;
}

.title-section {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.switch-title {
  margin-left: 10px;
  margin-top: 3px;
}

nz-switch {
  cursor: pointer;
  margin-bottom: 10px;
}

::ng-deep .switch {
  .ant-switch-checked {
    background-color: $primary-button-color;
  }
}

.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

#currentTitleUnit {
  width: 400px;
}

.currentTitleUnitItem {
  width: 200px;
}

.widthPTNL {
  width: 165px;
}

.thcv {
  width: 800px;
}

.personAlternative {
  width: 600px;
}

.moreInfo {
  width: 1400px;
}
.switch {
  margin-top: 35px;
}

.handleOffer {
  margin-top: 40px !important;
}

.paddingBottomStatement {
  padding-bottom: 0px !important;
}

.paddingTopStatement {
  padding-top: 0px !important;
}

.marginTopApprovedComments {
  margin-top: 20px !important;
}
.buttonPosEnd {
  align-items: self-end;
}
.text-center {
  text-align: center;
}

:host {
  ::ng-deep {
    .ant-checkbox-disabled.ant-checkbox-checked {
      .ant-checkbox-inner {
        background-color: $bg-primary-default;
        border-color: $bg-primary-default !important;

        &::after {
          border-color: $search-border-color;
        }
      }
    }
    .ant-upload-disabled {
      opacity: 0.38;
    }
  }
}

nz-date-picker {
  width: 100%;
  border-radius: 8px;
  height: 44px;
  margin-top: 4px;
}

.iconLog {
  display: inline-block;
  margin-top: 4px;
  margin-left: 10px;
}

.detailReasonCancel {
  border-radius: 8px;
  margin-top: 6px;
}

.withdrawElement {
  float: right;
}

.expand-btn {
  margin-top: 30px;
}

.listSalary {
  &__proposeCode {
    width: 150px;
  }
  &__proposeCode2 {
    width: 120px;
  }
  &__display {
    width: 70px;
  }
  &__dateRequest {
    width: 80px;
  }
  &__monthSalary {
    width: 100px;
  }
  &__currentSalaryInfo {
    width: 850px;
  }
  &__basePropose {
    width: 400px;
  }
  &__baseProposeItem {
    width: 200px;
  }
  &__nonWageMode {
    width: 850px;
  }
}

.wrap-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 200px !important;
}

.wrap-text1 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 400px !important;
}

.action-button {
  display: flex;
  column-gap: 10px;
}

.listEmpIconButton.anticon-more {
  font-size: 22px;
  margin-left: 8px;
  &:hover {
    cursor: pointer;
    color: $hover-color;
    border-radius: 2px;
  }
}

.menu__item {
  width: 100%;
  border-bottom: 1px solid $input-border-color;
  padding: 10px 0;
}

.subButton_dropdown {
  padding: 0 20px;
}

.subDropdown_label {
  font-size: 15px;
}



